Open Lighting Architecture: ola::PortManager Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::PortManager Class Reference

## Detailed Description

Responsible for performing Port operations.

## Public Member Functions
| PortManager (UniverseStore *universe_store, PortBroker *broker)
| Create a new PortManager.
| ~PortManager ()
| Destructor.
bool | PatchPort (InputPort *port, unsigned int universe)
| Patch an InputPort to a universe.
bool | PatchPort (OutputPort *port, unsigned int universe)
| Patch an OutputPort to a universe.
bool | UnPatchPort (InputPort *port)
| UnPatch an InputPort.
bool | UnPatchPort (OutputPort *port)
| UnPatch an OutputPort.
bool | SetPriorityInherit (Port *port)
| Set a port to 'inherit' priority mode.
bool | SetPriorityStatic (Port *port, uint8_t value)
| Set a port to 'override' priority mode.

## Constructor & Destructor Documentation

## ◆ PortManager()

ola::PortManager::PortManager | ( | UniverseStore * | universe_store,
|  | PortBroker * | broker )
| inline

Create a new PortManager.

Parameters

  universe_store | the UniverseStore used to lookup / create Universes.
  broker | the PortBroker to update when Ports are added / removed.

## Member Function Documentation

## ◆ PatchPort() [1/2]

bool ola::PortManager::PatchPort | ( | InputPort * | port,
|  | unsigned int | universe )

Patch an InputPort to a universe.

Parameters

  port | the port to patch
  universe | the universe-id to patch to.

Returns
  true is successful, false otherwise

## ◆ PatchPort() [2/2]

bool ola::PortManager::PatchPort | ( | OutputPort * | port,
|  | unsigned int | universe )

Patch an OutputPort to a universe.

Parameters

  port | the port to patch
  universe | the universe-id to patch to.

Returns
  true is successful, false otherwise

## ◆ SetPriorityInherit()

bool ola::PortManager::SetPriorityInherit | ( | Port * | port | ) |

Set a port to 'inherit' priority mode.

Parameters

  port | the port to configure

## ◆ SetPriorityStatic()

bool ola::PortManager::SetPriorityStatic | ( | Port * | port,
|  | uint8_t | value )

Set a port to 'override' priority mode.

Parameters

  port | the port to configure
  value | the new priority

## ◆ UnPatchPort() [1/2]

bool ola::PortManager::UnPatchPort | ( | InputPort * | port | ) |

UnPatch an InputPort.

Parameters

  port | the port to unpatch

Returns
  true is successful, false otherwise

## ◆ UnPatchPort() [2/2]

bool ola::PortManager::UnPatchPort | ( | OutputPort * | port | ) |

UnPatch an OutputPort.

Parameters

  port | the port to unpatch

Returns
  true is successful, false otherwise

The documentation for this class was generated from the following files:

- olad/plugin_api/PortManager.h
- olad/plugin_api/PortManager.cpp